OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDF

# MDF_ARDriverSequence Class Reference

`#include <MDF_ARDriverSequence.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MDF_ARDriverSequence ()
Standard_EXPORT void | Clear ()
| ~MDF_ARDriverSequence ()
Standard_EXPORT const MDF_ARDriverSequence & | Assign (const MDF_ARDriverSequence &Other)
const MDF_ARDriverSequence & | operator= (const MDF_ARDriverSequence &Other)
Standard_EXPORT void | Append (const Handle(MDF_ARDriver)&T)
void | Append (MDF_ARDriverSequence &S)
Standard_EXPORT void | Prepend (const Handle(MDF_ARDriver)&T)
void | Prepend (MDF_ARDriverSequence &S)
void | InsertBefore (const Standard_Integer Index, const Handle(MDF_ARDriver)&T)
void | InsertBefore (const Standard_Integer Index, MDF_ARDriverSequence &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(MDF_ARDriver)&T)
void | InsertAfter (const Standard_Integer Index, MDF_ARDriverSequence &S)
Standard_EXPORT const Handle_MDF_ARDriver & | First () const
Standard_EXPORT const Handle_MDF_ARDriver & | Last () const
void | Split (const Standard_Integer Index, MDF_ARDriverSequence &Sub)
Standard_EXPORT const Handle_MDF_ARDriver & | Value (const Standard_Integer Index) const
const Handle_MDF_ARDriver & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(MDF_ARDriver)&I)
Standard_EXPORT Handle_MDF_ARDriver & | ChangeValue (const Standard_Integer Index)
Handle_MDF_ARDriver & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)
## Private Member Functions
Standard_EXPORT | MDF_ARDriverSequence (const MDF_ARDriverSequence &Other)

## Constructor & Destructor Documentation

MDF_ARDriverSequence::MDF_ARDriverSequence | ( |  | ) |

MDF_ARDriverSequence::~MDF_ARDriverSequence | ( |  | ) | `[inline]`

Standard_EXPORT MDF_ARDriverSequence::MDF_ARDriverSequence | ( | const MDF_ARDriverSequence & | Other | ) | `[private]`

## Member Function Documentation

void MDF_ARDriverSequence::Append | ( | MDF_ARDriverSequence & | S | ) |

Standard_EXPORT void MDF_ARDriverSequence::Append | ( | const Handle(MDF_ARDriver)& | T | ) |

Standard_EXPORT const MDF_ARDriverSequence& MDF_ARDriverSequence::Assign | ( | const MDF_ARDriverSequence & | Other | ) |

Standard_EXPORT Handle_MDF_ARDriver& MDF_ARDriverSequence::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MDF_ARDriverSequence::Clear | ( |  | ) |

Standard_EXPORT const Handle_MDF_ARDriver& MDF_ARDriverSequence::First | ( |  | ) | const

void MDF_ARDriverSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | MDF_ARDriverSequence & | S
| ) |

Standard_EXPORT void MDF_ARDriverSequence::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(MDF_ARDriver)& | T
| ) |

void MDF_ARDriverSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | MDF_ARDriverSequence & | S
| ) |

void MDF_ARDriverSequence::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(MDF_ARDriver)& | T
| ) |

Standard_EXPORT const Handle_MDF_ARDriver& MDF_ARDriverSequence::Last | ( |  | ) | const

void MDF_ARDriverSequence::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_ARDriverSequence::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_ARDriverSequence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MDF_ARDriver& MDF_ARDriverSequence::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_MDF_ARDriver& MDF_ARDriverSequence::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MDF_ARDriverSequence& MDF_ARDriverSequence::operator= | ( | const MDF_ARDriverSequence & | Other | ) | `[inline]`

void MDF_ARDriverSequence::Prepend | ( | MDF_ARDriverSequence & | S | ) |

Standard_EXPORT void MDF_ARDriverSequence::Prepend | ( | const Handle(MDF_ARDriver)& | T | ) |

Standard_EXPORT void MDF_ARDriverSequence::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MDF_ARDriverSequence::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MDF_ARDriverSequence::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MDF_ARDriver)& | I
| ) |

void MDF_ARDriverSequence::Split | ( | const Standard_Integer | Index,
|  | MDF_ARDriverSequence & | Sub
| ) |

Standard_EXPORT const Handle_MDF_ARDriver& MDF_ARDriverSequence::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MDF_ARDriverSequence.hxx